import { Group, Image } from '@wisemapping/web2d';
import IconGroup from './IconGroup';
import SizeType from './SizeType';
import FeatureModel from './model/FeatureModel';
import Icon from './Icon';
import PositionType from './PositionType';
declare abstract class ImageIcon implements Icon {
    private _image;
    private _group;
    constructor(url: string);
    getElement(): Image | Group;
    setGroup(group: IconGroup): void;
    getGroup(): IconGroup | null;
    getSize(): SizeType | undefined;
    getPosition(): PositionType;
    addEvent(type: string, fnc: any): void;
    remove(): void;
    abstract getModel(): FeatureModel;
    static SIZE: number;
}
export default ImageIcon;
